xgboost

Public Types | Public Member Functions | List of all members
xgboost::common::HistCollection< GradientSumT > Class Template Reference

histogram of gradient statistics for multiple nodes More...

`#include <hist_util.h>`

Collaboration diagram for xgboost::common::HistCollection< GradientSumT >:

## Public Types
using | GHistRowT = GHistRow< GradientSumT >
using | GradientPairT = xgboost::detail::GradientPairInternal< GradientSumT >

## Public Member Functions
GHistRowT | operator[] (bst_uint nid) const
bool | RowExists (bst_uint nid) const
void | Init (uint32_t nbins)
void | AddHistRow (bst_uint nid)
void | AllocateData (bst_uint nid)
void | AllocateAllData ()

## Detailed Description

### template<typename GradientSumT>
class xgboost::common::HistCollection< GradientSumT >

histogram of gradient statistics for multiple nodes

## Member Typedef Documentation

## ◆ GHistRowT

template<typename GradientSumT >

using xgboost::common::HistCollection< GradientSumT >::GHistRowT = GHistRow<GradientSumT>

## ◆ GradientPairT

template<typename GradientSumT >

using xgboost::common::HistCollection< GradientSumT >::GradientPairT = xgboost::detail::GradientPairInternal<GradientSumT>

## Member Function Documentation

## ◆ AddHistRow()

template<typename GradientSumT >

void xgboost::common::HistCollection< GradientSumT >::AddHistRow | ( | bst_uint | nid | ) |
| inline

## ◆ AllocateAllData()

template<typename GradientSumT >

void xgboost::common::HistCollection< GradientSumT >::AllocateAllData | ( |  | ) |
| inline

## ◆ AllocateData()

template<typename GradientSumT >

void xgboost::common::HistCollection< GradientSumT >::AllocateData | ( | bst_uint | nid | ) |
| inline

## ◆ Init()

template<typename GradientSumT >

void xgboost::common::HistCollection< GradientSumT >::Init | ( | uint32_t | nbins | ) |
| inline

## ◆ operator[]()

template<typename GradientSumT >

GHistRowT xgboost::common::HistCollection< GradientSumT >::operator[] | ( | bst_uint | nid | ) | const
| inline

## ◆ RowExists()

template<typename GradientSumT >

bool xgboost::common::HistCollection< GradientSumT >::RowExists | ( | bst_uint | nid | ) | const
| inline

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/hist_util.h